# v4.3

This brings improved support on Windows plus one breaking change from the previous release (v4.2)

## Breaking Changes

* `pre-prompt-func` and `post-prompt-func` have been replaced with `onPrompt` events: `event onKeyPress example=before { ... }`

* The `onFileSystemChange` event payload now lowercases the filesystem event operation string. However until this release, that payload was undocumented ([read more](https://murex.rocks/docs/events/onfilesystemchange.html))

## Features

* New events, `onPrompt`, triggered when the interactive prompt is at various stages

* **Dynamic** and **DynamicDesc** autocompletions can have their partial term prefix filter disabled ([read more](https://murex.rocks/docs/commands/autocomplete.html#ignoreprefix-boolean-false), [previous discussion](https://github.com/lmorg/murex/issues/635))

* New autocompletions: `gping`

## Bug Fixes

* Improved Windows support. Arrow keys and other special keys are now handled correctly ([#630](https://github.com/lmorg/murex/issues/630))

* Fix `ctrl`+`a` offset by 1 error ([#628](https://github.com/lmorg/murex/pull/628))

<hr>

Published: 02.07.2023 at 09:55

## See Also

* [`autocomplete`](../commands/autocomplete.md):
  Set definitions for tab-completion in the command line
* [`config`](../commands/config.md):
  Query or define Murex runtime settings
* [`event`](../commands/event.md):
  Event driven programming for shell scripts
* [`onPrompt`](../events/onprompt.md):
  Events triggered by changes in state of the interactive shell

<hr/>

This document was generated from [gen/changelog/v4.3_doc.yaml](https://github.com/lmorg/murex/blob/master/gen/changelog/v4.3_doc.yaml).