# `PWD` (path)

> Current working directory

## Description

`PWD` is an environmental variable containing the current working directory.

It is updated via `cd` however you can overwrite its value manually via `export`.



## Synonyms

* `pwd`
* `PWD`


## See Also

* [`PWDHIST` (json)](../variables/pwdhist.md):
  History of each change to the sessions working directory
* [`cd`](../commands/cd.md):
  Change (working) directory
* [`export`](../commands/export.md):
  Define an environmental variable and set it's value
* [`path`](../types/path.md):
  Structured object for working with file and directory paths

<hr/>

This document was generated from [gen/variables/PWD_doc.yaml](https://github.com/lmorg/murex/blob/master/gen/variables/PWD_doc.yaml).