// Murex is a cross-platform shell like Bash but with greater emphasis on writing safe shell scripts and powerful one-liners while maintaining readability.
//
// A quick breakdown of the project structure:
//     * app is for hardcoded strings like copyright dates
//     * builtins contains all the plugins exposed via the languages runtime
//     * config is APIs for the runtime config
//     * debug is debugging APIs
//     * docs is the murex online documentation. Contents in here are autogenerated and some of this will be compiled into the murex executable.
//     * examples (does not contain Go code) is murex shell script examples
//     * gen is the templates for docgen
//     * lang contains the language parsers and runtime environment
//     * shell is the code for the interactive shell
//     * test is the testing framework
//     * utils directory is tools used exclusively within this Go source code
package main
